FTGL: FTGLPolygonFont.h File Reference

FTGL 2.4.0

Data Structures | Macros | Functions
FTGLPolygonFont.h File Reference
`#include <FTGL/ftgl.h>`
`#include <vector>`
Include dependency graph for FTGLPolygonFont.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures
class | FTPolygonFont
| FTPolygonFont is a specialisation of the FTFont class for handling tesselated Polygon Mesh fonts. More...

## Macros
#define | FTGLPolygonFont FTPolygonFont

## Functions
FTGLfont * | ftglCreatePolygonFont (const char *file)
| Create a specialised FTGLfont object for handling tesselated polygon mesh fonts.
FTGLfont * | ftglCreatePolygonFontFromMem (const unsigned char *bytes, size_t len)
| Create a specialised FTGLfont object for handling tesselated polygon mesh fonts from a buffer in memory.

## Macro Definition Documentation

## ◆ FTGLPolygonFont

#define FTGLPolygonFont FTPolygonFont

Definition at line 86 of file FTGLPolygonFont.h.

## Function Documentation

## ◆ ftglCreatePolygonFont()

FTGLfont * ftglCreatePolygonFont | ( | const char * | file | ) |

Create a specialised FTGLfont object for handling tesselated polygon mesh fonts.

Parameters

  file | The font file name.

Returns
  An FTGLfont* object.

See also
  FTGLfont

References FTGL_EXPORT, and ftglCreatePolygonFont().

Referenced by ftglCreatePolygonFont().

## ◆ ftglCreatePolygonFontFromMem()

FTGLfont * ftglCreatePolygonFontFromMem | ( | const unsigned char * | bytes,
|  | size_t | len )

Create a specialised FTGLfont object for handling tesselated polygon mesh fonts from a buffer in memory.

Sets Error flag. The buffer is owned by the client and is NOT copied by FTGL. The pointer must be valid while using FTGL.

Parameters

  bytes | the in-memory buffer
  len | the length of the buffer in bytes

Returns
  An FTGLfont* object.

References FTGL_END_C_DECLS, FTGL_EXPORT, and ftglCreatePolygonFontFromMem().

Referenced by ftglCreatePolygonFontFromMem().